%define fw_version 5.24

Summary:	KDE Frameworks 5 resource and network access abstraction module
Name:		kio
Version:	5.24.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
Patch0:		kio-5.24.0-fileplaces.patch
Patch1:		kio-5.21.0-doc5.patch
Patch2:		kio-5.17.0-templates.patch
Patch3:		kio-5.17.0-remove-link-to-device-menu.patch
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	acl-devel
BuildRequires:	attr-devel
BuildRequires:	kf5archive-devel >= %{version}
BuildRequires:	kf5bookmarks-devel >= %{version}
BuildRequires:	kf5codecs-devel >= %{version}
BuildRequires:	kf5completion-devel >= %{version}
BuildRequires:	kf5config-devel >= %{version}
BuildRequires:	kf5configwidgets-devel >= %{version}
BuildRequires:	kf5coreaddons-devel >= %{version}
BuildRequires:	kf5dbusaddons-devel >= %{version}
BuildRequires:	kf5doctools-devel >= %{version}
BuildRequires:	kf5i18n-devel >= %{version}
BuildRequires:	kf5iconthemes-devel >= %{version}
BuildRequires:	kf5itemviews-devel >= %{version}
BuildRequires:	kf5jobwidgets-devel >= %{version}
BuildRequires:	kf5notifications-devel >= %{version}
BuildRequires:	kf5service-devel >= %{version}
BuildRequires:	kf5solid-devel >= %{version}
BuildRequires:	kf5wallet-devel >= %{version}
BuildRequires:	kf5widgetsaddons-devel >= %{version}
BuildRequires:	kf5windowsystem-devel >= %{version}
BuildRequires:	kf5xmlgui-devel >= %{version}
BuildRequires:	pkgconfig(krb5-gssapi)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Script)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(zlib)
Requires:	mandriva-kde-translation
Suggests:	plasma5-kio-extras

%description
KDE Frameworks 5 resource and network access abstraction module.

This framework implements almost all the file management functions you
will ever need. In fact, the KDE file manager (Dolphin) and the KDE
file dialog also uses this to provide its network-enabled file management.

It supports accessing files locally as well as via HTTP and FTP out of the
box and can be extended by plugins to support other protocols as well. There
is a variety of plugins available, e.g. to support access via SSH.

The framework can also be used to bridge a native protocol to a file-based
interface. This makes the data accessible in all applications using the KDE
file dialog or any other KIO enabled infrastructure.

%files
%{_kde5_applicationsdir}/*.desktop
%{_kde5_bindir}/*
%{_kde5_datadir}/kf5/kcookiejar/domain_info
%{_kde5_libexecdir}/kf5/*
%{_kde5_mandir}/man8/*.8*
%{_kde5_notificationsdir}/*.notifyrc
%{_kde5_plugindir}/kded/*.so
%{_kde5_plugindir}/kio/*.so
%{_kde5_plugindir}/kiod/*.so
%{_kde5_plugindir}/urifilters/*.so
%{_kde5_services}/*.desktop
%{_kde5_services}/*.protocol
%{_kde5_services}/searchproviders/*.desktop
%{_kde5_services}/useragentstrings/*.desktop
%{_kde5_servicetypes}/*.desktop
%{_kde5_sysconfdir}/xdg/accept-languages.codes
%{_kde5_sysconfdir}/xdg/kshorturifilterrc
%{_qt5_plugindir}/kcm_*.so
%{_datadir}/dbus-1/services/org.kde.*.service

#----------------------------------------------------------------------------

%package i18n
Summary:	KIO translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KIO translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define kf5kiocore_major 5
%define libkf5kiocore %mklibname kf5kiocore %{kf5kiocore_major}

%package -n %{libkf5kiocore}
Summary:	KDE Frameworks 5 resource and network access abstraction shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5kiocore}
KDE Frameworks 5 resource and network access abstraction shared library.

%files -n %{libkf5kiocore}
%{_kde5_libdir}/libKF5KIOCore.so.%{kf5kiocore_major}*

#----------------------------------------------------------------------------

%define kf5kiofilewidgets_major 5
%define libkf5kiofilewidgets %mklibname kf5kiofilewidgets %{kf5kiofilewidgets_major}

%package -n %{libkf5kiofilewidgets}
Summary:	KDE Frameworks 5 resource and network access abstraction shared library
Group:		System/Libraries
Requires:	%{name}-i18n

%description -n %{libkf5kiofilewidgets}
KDE Frameworks 5 resource and network access abstraction shared library.

%files -n %{libkf5kiofilewidgets}
%{_kde5_libdir}/libKF5KIOFileWidgets.so.%{kf5kiofilewidgets_major}*

#----------------------------------------------------------------------------

%define kf5kiogui_major 5
%define libkf5kiogui %mklibname kf5kiogui %{kf5kiogui_major}

%package -n %{libkf5kiogui}
Summary:	KDE Frameworks 5 resource and network access abstraction shared library
Group:		System/Libraries
Requires:	%{name}-i18n

%description -n %{libkf5kiogui}
KDE Frameworks 5 resource and network access abstraction shared library.

%files -n %{libkf5kiogui}
%{_kde5_libdir}/libKF5KIOGui.so.%{kf5kiogui_major}*

#----------------------------------------------------------------------------

%define kf5kiontlm_major 5
%define libkf5kiontlm %mklibname kf5kiontlm %{kf5kiontlm_major}

%package -n %{libkf5kiontlm}
Summary:	KDE Frameworks 5 resource and network access abstraction shared library
Group:		System/Libraries
Requires:	%{name}-i18n

%description -n %{libkf5kiontlm}
KDE Frameworks 5 resource and network access abstraction shared library.

%files -n %{libkf5kiontlm}
%{_kde5_libdir}/libKF5KIONTLM.so.%{kf5kiontlm_major}*

#----------------------------------------------------------------------------

%define kf5kiowidgets_major 5
%define libkf5kiowidgets %mklibname kf5kiowidgets %{kf5kiowidgets_major}

%package -n %{libkf5kiowidgets}
Summary:	KDE Frameworks 5 resource and network access abstraction shared library
Group:		System/Libraries
Requires:	%{name}-i18n

%description -n %{libkf5kiowidgets}
KDE Frameworks 5 resource and network access abstraction shared library.

%files -n %{libkf5kiowidgets}
%{_kde5_libdir}/libKF5KIOWidgets.so.%{kf5kiowidgets_major}*

#----------------------------------------------------------------------------

%define devkf5kio %mklibname kf5kio -d

%package -n %{devkf5kio}
Summary:	Development files for KDE Frameworks 5 KIO module
Group:		Development/KDE and Qt
Requires:	%{libkf5kiocore} = %{EVRD}
Requires:	%{libkf5kiofilewidgets} = %{EVRD}
Requires:	%{libkf5kiogui} = %{EVRD}
Requires:	%{libkf5kiontlm} = %{EVRD}
Requires:	%{libkf5kiowidgets} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5kio-devel = %{version}

%description -n %{devkf5kio}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5kio}
%{_kde5_includedir}/KF5/KIOCore
%{_kde5_includedir}/KF5/KIOFileWidgets
%{_kde5_includedir}/KF5/KIOGui
%{_kde5_includedir}/KF5/KIOWidgets
%{_kde5_includedir}/KF5/kio
%{_kde5_includedir}/KF5/kio_version.h
%{_kde5_libdir}/cmake/KF5KIO
%{_kde5_libdir}/libKF5KIOCore.so
%{_kde5_libdir}/libKF5KIOFileWidgets.so
%{_kde5_libdir}/libKF5KIOGui.so
%{_kde5_libdir}/libKF5KIONTLM.so
%{_kde5_libdir}/libKF5KIOWidgets.so
%{_kde5_mkspecsdir}/*.pri
%{_datadir}/dbus-1/interfaces/kf5_org.kde.*.xml

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-kde --with-man --with-html

%changelog

* Sun Jul 10 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (3f53d93) Properly name fileplaces patch
- (Andrey Bondrov: 9f89e5e) Re-diff fileplaces patch
- (Andrey Bondrov: 9f89e5e) Drop ru patch (fixed upstream)
- (Andrey Bondrov: 5767963) New version 5.24.0

* Tue Jun 21 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.23.0-2
- (e89f16a) Fix Russian translation for fileplaces (broken in KF 5.23.0 again)

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.23.0-1
- (78920d2) New version 5.23.0

* Wed Apr 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-2
- (5306b8a) MassBuild#1021: Increase release tag

* Mon Apr 11 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-1
- (db6770f) Re-diff doc5 patch
- (Andrey Bondrov: 7392209) Drop ru patch (fixed upstream)
- (Andrey Bondrov: c1c7218) New version 5.21.0

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-3
- (39da6a2) MassBuild#1000: Increase release tag

* Fri Apr 01 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-2
- (00abd28) Fix Russian translation for fileplaces (broken in KF 5.20.0)

* Tue Mar 15 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-1
- (2faa775) Drop ru patch (fixed upstream)
- (Andrey Bondrov: 734dbb9) Re-diff fileplaces patch
- (Andrey Bondrov: df19e79) New version 5.20.0

* Sun Feb 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.19.0-1
- (7ba4cf6) Add new library libkf5kiogui
- (7ba4cf6) Update files
- (Andrey Bondrov: 2f9b897) Re-diff ru patch
- (Andrey Bondrov: 4f91629) New version 5.19.0

* Tue Jan 12 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.18.0-1
- (a5f5853) Re-diff Russian translation patch
- (Andrey Bondrov: 4f186ae) New version 5.18.0

* Sun Jan 03 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.17.0-4
- (1bd4b58) Properly remove Link to device from Create New... menu

* Sun Jan 03 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.17.0-3
- (59377f5) Drop Link to device action (from Create New... menu)
- (Andrey Bondrov: 2878092) Drop HTML file template (from Create New... menu)

* Mon Dec 28 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.17.0-2
- (6e128bf) Update Russian translations

* Wed Dec 23 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.17.0-1
- (7053fb2) New version 5.17.0

* Wed Nov 18 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-2
- (8cae44c) Bump release

* Wed Nov 18 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-1
- (e190581) Re-diff fileplaces and doc5 patches
- (Andrey Bondrov: 310cb2a) Drop dolphin_popup_menu patch (fixed upstream)
- (Andrey Bondrov: 9891bc9) New version 5.16.0

* Mon Oct 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.15.0-1
- (f4c1094) Backport dolphin_popup_menu.patch
- (Andrey Bondrov: e327a46) New version 5.15.0


